// Attract-Mode layout theme SDarcadeMod
// Inspired by the Arcade SD multiboard
// SDarcade original theme by jedione
// SDarcadeMod updated for the Pi by dee2eR
// v2 - features tweaks by dee2er, behrmr and frizzlefried
// v2.1 & 2.2 - tweaks by frizzlefried - Timer code for video snaps by qqplayer
// v2.3 - tweak by frizzlefried - 'times played' added by request
// v3.0 - tweaks by frizzlefried - backgrounds and static frame options added - bezel option removed
// v4.0 - skins, favorites, additional marquee animations and more tweaks by frizzlefried | settings organization, clock, player number, categories & color system implementation by guntherm

local col = "white,grey 50%,grey 75%,blue, light blue,green,red,ruby,orange,violet,yellow,yellow orange,"; //Added List of Colors to be used for any text - 01/22/2019
local o=0;
local header = "● "
local subheader = "  ○ "
local headerend = "                                                                                                   "

class UserConfig
{ 
	</ label=header + "Background Options" + headerend, help="Select background options", options=" ", order=o++ /> divider1="";
	
	</ label=subheader + "Background image" + headerend, help="Toggle background options.", options="drawn 1,drawn 2,planet 1,planet 2,plasma,space 1,space 2,none", order=o++ /> background="none";
	</ label=subheader + "Simulated scanlines" + headerend, help="Toggle scanlines.", options="on,off", order=o++ /> scanlines="off";
	</ label=subheader + "Layout skin" + headerend, help="Add a layout skin.",options="none,bezel,fighter,porthole 1,porthole 2", order=o++ /> skin="none";
	</ label=subheader + "Star speed" + headerend, help="Speed of starfield", options="warp 10,warp 5,warp 1,cruise,crawl,standing,crawling backwards,cruising backwards,reverse warp 1,reverse warp 5,reverse warp 10" order=o++ /> starspeed="cruising";	
	
	</ label=header + "Frame Options" + headerend, help="Select frame options", options=" ", order=o++ /> divider2="";
	
	</ label=subheader + "Animated or static frame" + headerend, help="Toggle colorful animated or static frame.", options="animated,static,none", order=o++ /> box_type="animated";
	</ label=subheader + "Static frame style" + headerend, help="Select static frame style.", options="blue,gray 1,gray 2,gray 3,green,orange,red,yellow", order=o++ /> box_style="gray 1";
	</ label=subheader + "Preview size" + headerend, help="Adjust game preview size.", options="large,medium,small", order=o++ /> preview_size="large";
	</ label=subheader + "Preview scroll speed" + headerend, help="Adjust game preview scroll speed.", options="fast,medium,slow", order=o++ /> preview_speed="medium";
	
	</ label=header + "Header/Logo/Marquee Options" + headerend, help="Select header/logo/marquee options", options=" ", order=o++ /> divider3="";
	
	</ label=subheader + "Header type" + headerend, help="Adjust header image type", options="marquee,wheel", order=o++ /> header_type="wheel";
	</ label=subheader + "Header animation" + headerend, help="Adjust header animation type", options="bounce,bounce two,slide,slide two,zoom,zoom two,zoom in,zoom in two", order=o++ /> animation_type="zoom";
	</ label=subheader + "Force header aspect-ratio" + headerend, help="Force image header aspect-ratio (recommended ON for horizontally oriented systems)", options="on,off", order=o++ /> header_aspect="on";
	
	</ label=header + "Text & Feature Options" + headerend, help="Select text & feature options", options=" ", order=o++ /> divider4="";
	
	</ label=subheader + "Include progress bar?" + headerend, help="Toggle progress bar vertical mode, horizontal mode, or off", options="vertical,horizontal,off", order=o++ /> progress="horizontal";
	</ label=subheader + "Progress Bar type?" + headerend, help="Choose the type progress bar", options="dark,light", order=o++ /> progress_bar="light";
	</ label=subheader + "Progress Bar indicator type?" + headerend, help="Choose the type of indicator for the progress bar", options="dark square,light circle", order=o++ /> progress_type="dark square";	
	</ label=subheader + "Game info text" + headerend, help="Toggle game info to display - Title | Title + Extras | None", options="extras,title only,none", order=o++ /> title="extras";
	</ label=subheader + "Include players/genre info?" + headerend, help="Toggle on/off number of players & genre category", options="on,off", order=o++ /> playersgenre_info="on";
	</ label=subheader + "Times played info?" + headerend, help="Toggle on/off times played info", options="on,off", order=o++ /> label_play="on";
	</ label=subheader + "Game # & times played location" + headerend, help="Game # & times played info location", options="top,bottom", order=o++ /> label_position="bottom";
	</ label=subheader + "Include favorites?" + headerend, help="Toggle on/off favorites", options="on,off", order=o++ /> favorites="on";
	</ label=subheader + "Favorites star location" + headerend, help="Favorites star location", options="bottom,top,bottom frame,top frame", order=o++ /> favorites_loc="top frame";
	</ label=subheader + "Background music or none" + headerend, help="Toggle music.", options="music, none,", order=o++ /> enable_music="none";
	</ label=subheader + "Show clock" + headerend, help="Display a clock with local time or not", options="yes,no", order=o++, per_display="yes" />   show_clock="no";
	</ label=subheader + "Monitor rotation" + headerend, help="Monitor rotation.",options="horizontal,vertical", order=o++ /> rotation="horizontal";
	
	</ label=header + "Color Options" + headerend, help="Select text colors", options=" ", order=o++ /> divider5="";
	
	</ label=subheader + "Title text color" + headerend, help="Color of game titles", options=col, order=o++ /> title_color="yellow";
	</ label=subheader + "Manufacturer text color" + headerend, help="Color of game manufacturer", options=col, order=o++ /> man_color="white";
	</ label=subheader + "Game # & times played color" + headerend, help="Color of game # & times played text", options=col, order=o++ /> label_color="white";
	</ label=subheader + "Progress bar letter color" + headerend, help="Color of the letter on the progress bar", options=col, order=o++ /> slider_color="white";
	</ label=subheader + "Pulsing text color" + headerend, help="Color pulsing text at bottom of screen", options=col, order=o++ /> pulse_color="yellow";
	
	</ label=header + "Message Options" + headerend, help="Enter message text", options=" ", order=o++ /> divider6="";
	
	</ label=subheader + "Alternative text" + headerend, help="Text to display under preview image if game info text is set to 'none'", order=o++ />
		msg1="wait for game to coin up";
	</ label=subheader + "Pulsing text" + headerend, help="Text to display flashing at bottom of screen", order=o++ />
		msg2="select game with joystick";
}
local my_config = fe.get_config();

fe.do_nut("scripts/colors.nut"); // Color.nut by Giacomo Bianchi 10/30/2018

// set screen

fe.layout.width=640;
fe.layout.height=480;
local flx = fe.layout.width;
local fly = fe.layout.height;
local flw = fe.layout.width;
local flh = fe.layout.height;

// set vertical orientation

if (my_config["rotation"] == "vertical" )
{
	fe.layout.orient=RotateScreen.Right;
}

// load modules

fe.load_module( "fade" );
fe.load_module("animate");
fe.do_nut("scripts/carrier.nut");

// background
if (my_config["rotation"] == "horizontal" )
{
	if (my_config["background"] == "space 1" )
	{
		fe.add_image( "images/background1.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "space 2" )
	{
		fe.add_image( "images/background2.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 1" )
	{
		fe.add_image( "images/background3.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 2" )
	{
		fe.add_image( "images/background4.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 3" )
	{
		fe.add_image( "images/background5.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "plasma" )
	{
		fe.add_image( "images/background6.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "drawn 1" )
	{
		fe.add_image( "images/background7.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "drawn 2" )
	{
		fe.add_image( "images/background8.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
}

if (my_config["rotation"] == "vertical" )
{
	if (my_config["background"] == "space 1" )
	{
		fe.add_image( "images/background1_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "space 2" )
	{
		fe.add_image( "images/background2_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 1" )
	{
		fe.add_image( "images/background3_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 2" )
	{
		fe.add_image( "images/background4_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "planet 3" )
	{
		fe.add_image( "images/background5_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "plasma" )
	{
		fe.add_image( "images/background6_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "drawn 1" )
	{
		fe.add_image( "images/background7_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
	if (my_config["background"] == "drawn 2" )
	{
		fe.add_image( "images/background8_vert.png", flx*0.0, fly*0.0, flw*1.00, flh*1.00 );
	}
}

// starfield

//Speed Change 02/10/2019 by guntherm

speed <- 0;

if (my_config["starspeed"] == "warp 10" )
{
	speed=20;
}
if (my_config["starspeed"] == "warp 5" )
{
	speed=10;
}
if (my_config["starspeed"] == "warp 1" )
{
	speed=6;
}
if (my_config["starspeed"] == "cruise" )
{
	speed=3;
}
if (my_config["starspeed"] == "crawl" )
{
	speed=1;
}
if (my_config["starspeed"] == "standing" )
{
	speed=0;
}
if (my_config["starspeed"] == "crawling backwards" )
{
	speed=-1;
}
if (my_config["starspeed"] == "cruising backwards" )
{
	speed=-3;
}
if (my_config["starspeed"] == "reverse warp 1" )
{
	speed=-6;
}
if (my_config["starspeed"] == "reverse warp 5" )
{
	speed=-10;
}
if (my_config["starspeed"] == "reverse warp 10" )
{
	speed=-15;
}
fe.do_nut("scripts/star.nut");

// moving preview images

if (my_config["preview_size"] == "large" )
{
	if (my_config["preview_speed"] == "fast" )
	{
		local carrier = Carrier( flx*-0.517, fly*0.166, flw*2.031, flh*0.677, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.75
	}
	if (my_config["preview_speed"] == "medium" )
	{
		local carrier = Carrier( flx*-0.517, fly*0.166, flw*2.031, flh*0.677, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "slow" )
	{
		local carrier = Carrier( flx*-0.517, fly*0.166, flw*2.031, flh*0.677, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.95
	}

// videotheme timer Code by qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.207, fly*0.229, flw*0.586, flh*0.555),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;      
    }
}

fe.add_ticks_callback(this, "on_tick_videotheme");

}

if (my_config["preview_size"] == "medium" )
{
	if (my_config["preview_speed"] == "fast" )
	{
		local carrier = Carrier( flx*-0.275, fly*0.251, flw*1.547, fly*0.521, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.75
	}
	if (my_config["preview_speed"] == "medium" )
	{
		local carrier = Carrier( flx*-0.275, fly*0.251, flw*1.547, fly*0.521, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "slow" )
	{
		local carrier = Carrier( flx*-0.275, fly*0.251, flw*1.547, fly*0.521, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.95
	}

// videotheme timer code by qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.287, fly*0.314, flw*0.424, flh*0.398),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );
       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;
       
    }   
}

fe.add_ticks_callback(this, "on_tick_videotheme");

}

if (my_config["preview_size"] == "small" )
{
	if (my_config["preview_speed"] == "fast" )
	{
		local carrier = Carrier( flx*-0.144, fly*0.312, flw*1.289, flh*0.423, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.75
	}
	if (my_config["preview_speed"] == "medium" )
	{
		local carrier = Carrier( flx*-0.144, fly*0.312, flw*1.289, flh*0.423, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.90
	}
	if (my_config["preview_speed"] == "slow" )
	{
		local carrier = Carrier( flx*-0.144, fly*0.312, flw*1.289, flh*0.423, 3, 3, 30, 0, 0 )
		carrier.surfacePosSmoothing = 0.95
	}

// videotheme timer Ccode by qqplayer

::OBJECTS1 <- {
artwork_videotheme = fe.add_artwork("snap", flx*0.3325, fly*0.374, flw*0.3391, flh*0.300),
}

OBJECTS1.artwork_videotheme.visible=false;

::videoSound <- Vid.NoAudio;
OBJECTS1.artwork_videotheme.video_flags = videoSound;

local settings = {
   delay_timer = 0,
   play_delay = 2000,
   stop_play = 235000,
}

function on_transition_videotheme( ttype, var, ttime ) {
 switch ( ttype ) {
  case Transition.StartLayout:
  case Transition.ToNewSelection:
  case Transition.ToNewList:
  case Transition.EndNavigation:
        OBJECTS1.artwork_videotheme.video_flags = Vid.NoAutoStart;
        settings.delay_timer = fe.layout.time;
        OBJECTS1.artwork_videotheme.visible=false;
       break;
  }
 return false;
}

fe.add_transition_callback( "on_transition_videotheme" );

function on_tick_videotheme(tick_time) {
   if ( !OBJECTS1.artwork_videotheme.video_playing && tick_time - settings.delay_timer >= settings.play_delay ) {
   
        OBJECTS1.artwork_videotheme.video_playing = true;
        
        ::videoSound <- Vid.Default;
        OBJECTS1.artwork_videotheme.video_flags = videoSound;        
        
        OBJECTS1.artwork_videotheme.visible=true;
        
        OBJECTS1.artwork_videotheme.alpha = 0
        local alpha_artwork_videotheme_0 = {
        property = "alpha", start = 0 end = 255, time = 500 easing = Easing.Out,
        }
 
        animation.add( PropertyAnimation( OBJECTS1.artwork_videotheme, alpha_artwork_videotheme_0 ) );
       
    }
    
    else if ( tick_time - settings.delay_timer >= settings.stop_play ) {
        
        OBJECTS1.artwork_videotheme.visible=false;
       
    } 
}
fe.add_ticks_callback(this, "on_tick_videotheme");
}

// selection box 

if (my_config["rotation"] == "horizontal" )
{
	if (my_config["preview_size"] == "large" )
	{
		if (my_config["box_type"] == "animated" )
		{
			fe.do_nut("scripts/biggestbox.nut"); 
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "orange" )
			{
				fe.add_image( "images/frame6.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "gray 3" )
			{
				fe.add_image( "images/frame8.png", flx*0.205, 105, 377, 277 );
			}
			if (my_config["box_style"] == "frame 9" )
			{
				fe.add_image( "images/frame9.png", flx*0.205, 105, 377, 277 );
			}				
		}	
	}

	if (my_config["preview_size"] == "medium" )
	{
		if (my_config["box_type"] == "animated" )
		{
		fe.do_nut("scripts/biggerbox.nut"); 
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "orange" )
			{			
				fe.add_image( "images/frame6.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7.png", flx*0.287, 145, 274, 202 );
			}
			if (my_config["box_style"] == "gray 3" )
			{			
				fe.add_image( "images/frame8.png", flx*0.287, 145, 274, 202 );
			}				
		}
	}	

	if (my_config["preview_size"] == "small" )
	{
		if (my_config["box_type"] == "animated" )
		{
			fe.do_nut("scripts/box.nut");
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "orange" )
			{
				fe.add_image( "images/frame6.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7.png", flx*0.332, 176, 218, 151 );
			}
			if (my_config["box_style"] == "gray 3" )
			{
				fe.add_image( "images/frame8.png", flx*0.332, 176, 218, 151 );
			}				
		}
	}	
}

if (my_config["rotation"] == "vertical" )
{
	if (my_config["preview_size"] == "large" )
	{
		if (my_config["box_type"] == "animated" )
		{
			fe.do_nut("scripts/biggestbox.nut"); 
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "orange" )
			{
				fe.add_image( "images/frame6_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7_vert.png", flx*0.206, 105, 377, 275 );
			}
			if (my_config["box_style"] == "gray 3" )
			{
				fe.add_image( "images/frame8_vert.png", flx*0.206, 105, 377, 275 );
			}
		}	
	}

	if (my_config["preview_size"] == "medium" )
	{
		if (my_config["box_type"] == "animated" )
		{
			fe.do_nut("scripts/biggerbox.nut"); 
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "orange" )
			{
				fe.add_image( "images/frame6_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7_vert.png", flx*0.299, 147, 272, 198 );
			}
			if (my_config["box_style"] == "gray 3" )
			{
				fe.add_image( "images/frame8_vert.png", flx*0.299, 147, 272, 198 );
			}				
		}
	}	

	if (my_config["preview_size"] == "small" )
	{
		if (my_config["box_type"] == "animated" )
		{
			fe.do_nut("scripts/box.nut");
		}
		if (my_config["box_type"] == "static" )
		{
			if (my_config["box_style"] == "gray 1" )
			{
				fe.add_image( "images/frame1_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "gray 2" )
			{
				fe.add_image( "images/frame2_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "red" )
			{
				fe.add_image( "images/frame3_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "yellow" )
			{
				fe.add_image( "images/frame4_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "green" )
			{
				fe.add_image( "images/frame5_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "orange" )
			{
				fe.add_image( "images/frame6_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "blue" )
			{
				fe.add_image( "images/frame7_vert.png", flx*0.332, 177, 218, 149 );
			}
			if (my_config["box_style"] == "gray 3" )
			{
				fe.add_image( "images/frame8_vert.png", flx*0.332, 177, 218, 149 );
			}			
		}
	}	
}

// game logo wheel images

if (my_config["animation_type"] == "zoom in" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.010, flw*0.550, flh*0.190 );
			if (my_config["header_aspect"] == "on" )
			{
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1000,
				tween = Tween.Bounce,
			}
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.100,
				end = fly*0.010,
				time = 350,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.080, flw*0.550, flh*0.190 );
			if (my_config["header_aspect"] == "on" )
			{
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.100,
				end = fly*0.080,
				time = 700 ,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.105, flw*0.550, flh*0.190 );
			if (my_config["header_aspect"] == "on" )
			{	
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.100,
				end = fly*0.105,
				time = 700 ,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{		
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.010, flw*0.550, flh*0.190 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.010,
			time = 700 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.190 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.080,
			time = 700 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.105, flw*0.550, flh*0.190 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}	
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.105,
			time = 700 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "zoom in two" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.050, flw*0.550, flh*0.250 );
			if (my_config["header_aspect"] == "on" )
			{
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1000,
				tween = Tween.Bounce,
			}
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.100,
				end = fly*0.050,
				time = 350,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.110, flw*0.550, flh*0.250 );
			if (my_config["header_aspect"] == "on" )
			{
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1000,
				tween = Tween.Bounce,
			}
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.140,
				end = fly*0.110,
				time = 350 ,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
			local marquee = fe.add_artwork( "wheel", flx*0.275, fly*0.135, flw*0.450, flh*0.250 );
			if (my_config["header_aspect"] == "on" )
			{	
				marquee.preserve_aspect_ratio = true;
			}
			local marquee_scale_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 1.4,
				end = 1.0,
				time = 1000,
				tween = Tween.Bounce,
			}	
			local marquee_move_cfg = {
				when =Transition.ToNewSelection,
				property = "y",
				start = fly*0.150,
				end = fly*0.135,
				time = 350 ,
			}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{		
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.050, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.100,
			end = fly*0.050,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
	}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.125,
			end = fly*0.080,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.135, flw*0.450, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 1.4,
			end = 1.0,
			time = 1000,
			tween = Tween.Bounce,
		}	
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.150,
			end = fly*0.135,
			time = 350 ,
		}	
	animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
	animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "zoom" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.010, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.125,
			end = fly*0.010,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.210,
			end = fly*0.080,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.090, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.220,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.020, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.125,
			end = fly*0.020,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.210,
			end = fly*0.080,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.090, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*0.250,
			end = fly*0.090,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "zoom two" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.045, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.100,
			end = fly*0.045,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.155, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.090,
			end = fly*0.155,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.215, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.090,
			end = fly*0.215,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.055, flw*0.550, flh*0.220 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.090,
			end = fly*0.055,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.155, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.090,
			end = fly*0.155,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.215, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.0,
			end = 1.0,
			time = 0700,
			tween = Tween.Linear,
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.090,
			end = fly*0.215,
			time = 0700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "bounce two" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.005, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.079, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.005, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1500,
			tween = Tween.Bounce,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "bounce" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.015, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.005, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_scale_cfg = {
			when =Transition.ToNewSelection,
			property = "scale",
			start = 0.1,
			end = 1.0,
			time = 1000,
			tween = Tween.Back,
		}
		animation.add( PropertyAnimation( marquee, marquee_scale_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "slide" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.010, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.010,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.080,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.200,
			end = fly*0.105,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.010, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.010,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.080, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.080,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.105, flw*0.550, flh*0.180 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.200,
			end = fly*0.105,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

if (my_config["animation_type"] == "slide 2" )
{
	if (my_config["header_type"] == "wheel" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.025, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.025,
			time = 500 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.225, fly*0.090, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.090,
			time = 500 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "wheel", flx*0.350, fly*0.150, flw*0.450, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.200,
			end = fly*0.150,
			time = 500 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
	if (my_config["header_type"] == "marquee" )
	{
		if (my_config["preview_size"] == "large" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.025, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.025,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "medium" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.090, flw*0.550, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.2,
			end = fly*0.090,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
		if (my_config["preview_size"] == "small" )
		{
		local marquee = fe.add_artwork( "marquee", flx*0.225, fly*0.150, flw*0.450, flh*0.250 );
		if (my_config["header_aspect"] == "on" )
		{
			marquee.preserve_aspect_ratio = true;
		}
		local marquee_move_cfg = {
			when =Transition.ToNewSelection,
			property = "y",
			start = fly*-0.200,
			end = fly*0.150,
			time = 700 ,
		}	
		animation.add( PropertyAnimation( marquee, marquee_move_cfg ) );
		}
	}
}

//skin art if selected

if (my_config["rotation"] == "horizontal" )
{
	if ( my_config["skin"] == "porthole 1" )
	{
		local skin = fe.add_image( "images/skin1.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "porthole 2" )
	{
		local skin = fe.add_image( "images/skin2.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "fighter" )
	{
		local skin = fe.add_image( "images/skin3.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "bezel" )
	{
		local skin = fe.add_image( "images/bez.png", 0, 0, flw, flh );
	}	
}
if (my_config["rotation"] == "vertical" )
{
	if ( my_config["skin"] == "porthole 1" )
	{
		local skin = fe.add_image( "images/skin1_v.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "porthole 2" )
	{
		local skin = fe.add_image( "images/skin2_v.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "fighter" )
	{
		local skin = fe.add_image( "images/skin3_v.png", 0, 0, flw, flh );
	}
	if ( my_config["skin"] == "bezel" )
	{
		local skin = fe.add_image( "images/bez.png", 0, 0, flw, flh );
	}
}

// text bits

local pulse = fe.add_text( my_config["msg2"], flx*0.004, fly*0.889, flw*1.000, flh*0.050 );
local pulse_text_cfg = {
	when =Transition.ToNewList,
	property = "alpha",
	start = 0, 
	end = 150,
	time = 1000,
	tween = Tween.Quad,
	pulse = true,
	font = "captain",
}
animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
pulse.font = "captain";
pulse.charsize = 20;
pulse.alpha= 255;
pulse.set_rgb ( 0 , 0 , 0 );
	
local pulse = fe.add_text( my_config["msg2"], flx*0.000, fly*0.885, flw*1.000, flh*0.050 );
	local pulse_text_cfg = {
		when =Transition.ToNewList,
		property = "alpha",
		start = 50, 
		end = 255,
		time = 1000,
		tween = Tween.Quad,
		pulse = true,
		font = "captain",
	}
	
	animation.add( PropertyAnimation( pulse, pulse_text_cfg ) );
	pulse.font = "captain";
	pulse.charsize = 20;
	pulse.alpha= 255;
	colors( pulse, my_config["pulse_color"], 0 );	

if (my_config["title"] == "extras" )
{
	local text = fe.add_text("[Title]", flx*0.004, fly*0.794, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 29;
	text.set_rgb ( 0 , 0 , 0 );
	colors( text, my_config["title_color"], 0 );

	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.004, fly*0.844, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 18;
	text.set_rgb ( 0 , 0 , 0 );
	
	local text = fe.add_text("[Year] - [Manufacturer]", flx*0.000, fly*0.840, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 18;
	colors( text, my_config["man_color"], 0 );
	text.alpha = 255;
	
//game # of # line text
	
	if (my_config["label_position"] == "top" )
	{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.002, fly*0.008, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 15;
		text.set_rgb ( 0 , 0 , 0 );	
		text.alpha = 255;
	
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.006, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 15;
		colors( text, my_config["label_color"], 0 );
		text.alpha = 255;
	}
	if (my_config["label_position"] == "bottom" )
	{
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.002, fly*0.941, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 15;
		text.set_rgb ( 0 , 0 , 0 );
		text.alpha = 255;
	
		local text = fe.add_text(" GAME [ListEntry] OF [ListSize] ", flx*0.000, fly*0.939, flw*1.000, flh*0.050 );
		text.align = Align.Left;
		text.font="captain";
		text.charsize = 15;
		colors( text, my_config["label_color"], 0 );	
		text.alpha = 255;
	}

	if (my_config["label_play"] == "on" )
	{
		if (my_config["label_position"] == "top" )
		{
			local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.002, fly*0.008, flw*1.000, flh*0.050 );
			label_play.align = Align.Right;
			label_play.font = "captain";
			label_play.charsize = 15;
			label_play.set_rgb ( 0 , 0 , 0 );
			label_play.alpha = 255;

			local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.000, fly*0.006, flw*1.000, flh*0.050 );
			label_play.align = Align.Right;
			label_play.font = "captain";
			label_play.charsize = 15;
			colors( label_play, my_config["label_color"], 0 );
			label_play.alpha = 255;	
		}
		if (my_config["label_position"] == "bottom" )
		{
			local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.002, fly*0.941, flw*1.000, flh*0.050 );
			label_play.align = Align.Right;
			label_play.font = "captain";
			label_play.charsize = 15;
			label_play.set_rgb ( 0 , 0 , 0 );
			label_play.alpha = 255;
		
			local label_play = fe.add_text(" PLAYED [PlayedCount] TIMES ", flx*0.000, fly*0.939, flw*1.000, flh*0.050 );
			label_play.align = Align.Right;
			label_play.font = "captain";
			label_play.charsize = 15;
			colors( label_play, my_config["label_color"], 0 );
			label_play.alpha = 255;	
		}
	}
}
if (my_config["title"] == "title only" )
{
	local text = fe.add_text("[Title]", flx*0.004, fly*0.794, flw*1.00, flh*0.050 );
	text.font="captain";
	text.charsize = 29;
	text.set_rgb ( 0 , 0 , 0 );
	
		local text = fe.add_text("[Title]", flx*0.000, fly*0.790, flw*1.00, flh*0.050 );
		text.font="captain";
		text.charsize = 29;
		colors( text, my_config["title_color"], 0 );
}

if (my_config["title"] == "none" )
{
	local text = fe.add_text( my_config["msg1"], flx*0.000, fly*0.830, flw*1.000, flh*0.050 );
	text.font="captain";
	text.charsize = 30;
	text.alpha = 255;
}

// Favorites

if (my_config["favorites"] == "on" )
{
	if (my_config["rotation"] == "horizontal" )
	{
		if (my_config["favorites_loc"] == "top" )
		{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.060, fly*0.055, flw*0.035, flh*0.050);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
		}
		if (my_config["favorites_loc"] == "top frame" )
		{
			if (my_config["preview_size"] == "small" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.30, fly*0.313, flw*0.070, flh*0.110);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["preview_size"] == "medium" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.2675, fly*0.248, flw*0.070, flh*0.110);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["preview_size"] == "large" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.175, fly*0.167, flw*0.080, flh*0.120);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
		if (my_config["favorites_loc"] == "bottom frame" )
		{
			if (my_config["preview_size"] == "small" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.30, fly*0.613, flw*0.070, flh*0.110);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["preview_size"] == "medium" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.2675, fly*0.648, flw*0.070, flh*0.110);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["preview_size"] == "large" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.175, fly*0.720, flw*0.080, flh*0.120);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
		if (my_config["favorites_loc"] == "bottom" )
		{
			if (my_config["playersgenre_info"] =="on")
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.0505, fly*0.799, flw*0.035, flh*0.050);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["playersgenre_info"] =="off")
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.050, fly*0.883, flw*0.078, flh*0.1145);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
	}
	if (my_config["rotation"] == "vertical" )
	{
		if (my_config["favorites_loc"] == "top" )
		{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.075, fly*0.055, flw*0.050, flh*0.038);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
		}
	if (my_config["favorites_loc"] == "top frame" )
		{
		if (my_config["preview_size"] == "small" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.280, fly*0.325, flw*0.120, flh*0.090);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		if (my_config["preview_size"] == "medium" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.250, fly*0.260, flw*0.125, flh*0.090);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		if (my_config["preview_size"] == "large" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.13, fly*0.167, flw*0.178, flh*0.1145);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
	if (my_config["favorites_loc"] == "bottom frame" )
		{
		if (my_config["preview_size"] == "small" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.280, fly*0.625, flw*0.120, flh*0.090);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		if (my_config["preview_size"] == "medium" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.250, fly*0.663, flw*0.120, flh*0.090);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		if (my_config["preview_size"] == "large" )
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.160, fly*0.735, flw*0.120, flh*0.090);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
	if (my_config["favorites_loc"] == "bottom" )
		{
			if (my_config["playersgenre_info"] =="on")
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.075, fly*0.810, flw*0.050, flh*0.038);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
			if (my_config["playersgenre_info"] =="off")
			{
			function FavStar() {
			if (fe.game_info( Info.Favourite ) == "1") return "images/star.png";
			}
			local Fav = fe.add_image("[!FavStar]", flx*0.028, fly*0.920, flw*0.100, flh*0.076);
			local Fav_move_cfg = {
				when =Transition.ToNewSelection,
				property = "scale",
				start = 3.5,
				end = 1.0,
				time = 1500,
				tween = Tween.Bounce,
			}	
			animation.add( PropertyAnimation( Fav, Fav_move_cfg ) );
			}
		}
	}
}

// Players & Genre code by guntherm
if (my_config["label_position"] == "bottom" )
	{
if (my_config["playersgenre_info"] =="on")
	{
	// Add Number of Players 
	local pb_x = flx*0.015;
	local pb_y = fly*0.860;
	local pb_w = flw*0.105;
	local pb_h = flh*0.075;
	local pb_text_x = pb_x-(flx*0.006);
	local pb_text_y = pb_y+(fly*0.018);
	local pb_text_w = pb_w;
	local pb_text_h = pb_h-(flh*0.045);
	//New function
	function PlayerIcon() {
	if (fe.game_info( Info.Players ) >= "1") return "images/players.png";
	else if (fe.game_info( Info.Players ) <= "" || " ") return "images/unknownp.png";
	}
	//end of new function
	local PlayerIcon= fe.add_image("[!PlayerIcon]", pb_x, pb_y, pb_w, pb_h);
	local p = fe.add_text( "[Players]", pb_text_x, pb_text_y, pb_text_w, pb_text_h);
	p.charsize = 28;
	p.set_rgb( 0, 0, 0 );
	p.font="Roboto";
	p.align = Align.Centre;
	p.style = Style.Bold;
	
	// Add Genre images
	local genre_image = fe.add_image("images/unknown.png", flx*0.882, fly* 0.860, flw*0.105, flh*0.075);
	genre_image.trigger = Transition.EndNavigation;	

	class GenreImage
   {
    mode = 1;       //0 = first match, 1 = last match, 2 = random
    supported = {
        //filename : [ match1, match2 ]
        "act": [ "action","platformer", "platform" ],
		"plt": [ "platformer", "platform" ],
        "avg": [ "adventure" ],
        "ftg": [ "fighting", "fighter", "beat'em up" ],
        "pzg": [ "puzzle" ],
		"mze": [ "maze" ],
		"rhy": [ "rhythm" ],
		"pbl": [ "pinball" ],
        "rcg": [ "racing", "driving" ],
        "rpg": [ "rpg", "role playing", "role-playing", "role playing game" ],
        "stg": [ "shooter", "shmup" ],
        "fly": [ "fly", "flying" ],
        "spt": [ "sports", "boxing", "golf", "baseball", "football", "soccer" "Sports" ],
        "bxg": [ "boxing" ],
        "slg": [ "strategy"]
    }
    ref = null;
    constructor( image )
    {
        ref = image;
        fe.add_transition_callback( this, "transition" );
    }
    
    function transition( ttype, var, ttime )
    {
        if ( ttype == Transition.ToNewSelection || ttype == Transition.ToNewList )
        {
            local cat = " " + fe.game_info(Info.Category, var).tolower();
            local matches = [];
            foreach( key, val in supported )
            {
                foreach( nickname in val )
                {
                    if ( cat.find(nickname, 0) ) matches.push(key);
                }
            }
            if ( matches.len() > 0 )
            {
                switch( mode )
                {
                    case 0:
                        ref.file_name = "images/" + matches[0] + ".png";
                        break;
                    case 1:
                        ref.file_name = "images/" + matches[matches.len() - 1] + ".png";
                        break;
                    case 2:
                        local random_num = floor(((rand() % 1000 ) / 1000.0) * ((matches.len() - 1) - (0 - 1)) + 0);
                        ref.file_name = "images/" + matches[random_num] + ".png";
                        break;
                }
            } else
            {
                ref.file_name = "images/unknown.png";
            }
        }
    }
	}
GenreImage(genre_image);
}
}
if (my_config["label_position"] == "top" )
	{
if (my_config["playersgenre_info"] =="on")
	{
	// Add Number of Players 
	local pb_x = flx*0.015;
	local pb_y = fly*0.900;
	local pb_w = flw*0.105;
	local pb_h = flh*0.075;
	local pb_text_x = pb_x-(flx*0.006);
	local pb_text_y = pb_y+(fly*0.018);
	local pb_text_w = pb_w;
	local pb_text_h = pb_h-(flh*0.045);
	
	function PlayerIcon() {
	if (fe.game_info( Info.Players ) >= "1") return "images/players.png";
	else if (fe.game_info( Info.Players ) <= "" || " ") return "images/unknown.png";
	}
	
	local PlayerIcon= fe.add_image("[!PlayerIcon]", pb_x, pb_y, pb_w, pb_h);
	local p = fe.add_text( "[Players]", pb_text_x, pb_text_y, pb_text_w, pb_text_h);
	p.charsize = 28;
	p.set_rgb( 0, 0, 0 );
	p.font="Roboto";
	p.align = Align.Centre;
	p.style = Style.Bold;

	// Add Genre images
	local genre_image = fe.add_image("images/unknown.png", flx*0.882, fly* 0.900, flw*0.105, flh*0.075);
	genre_image.trigger = Transition.EndNavigation;	

	class GenreImage
   {
    mode = 1;       //0 = first match, 1 = last match, 2 = random
    supported = {
		//filename : [ match1, match2 ]
        "act": [ "action","platformer", "platform" ],
		"plt": [ "platformer", "platform" ],
        "avg": [ "adventure" ],
        "ftg": [ "fighting", "fighter", "beat'em up" ],
        "pzg": [ "puzzle" ],
		"mze": [ "maze" ],
		"rhy": [ "rhythm" ],
		"pbl": [ "pinball" ],
        "rcg": [ "racing", "driving" ],
        "rpg": [ "rpg", "role playing", "role-playing", "role playing game" ],
        "stg": [ "shooter", "shmup" ],
        "fly": [ "fly", "flying" ],
        "spt": [ "sports", "boxing", "golf", "baseball", "football", "soccer" "Sports" ],
        "bxg": [ "boxing" ],
        "slg": [ "strategy"]
    }
    ref = null;
    constructor( image )
    {
        ref = image;
        fe.add_transition_callback( this, "transition" );
    }
    
    function transition( ttype, var, ttime )
    {
        if ( ttype == Transition.ToNewSelection || ttype == Transition.ToNewList )
        {
            local cat = " " + fe.game_info(Info.Category, var).tolower();
            local matches = [];
            foreach( key, val in supported )
            {
                foreach( nickname in val )
                {
                    if ( cat.find(nickname, 0) ) matches.push(key);
                }
            }
            if ( matches.len() > 0 )
            {
                switch( mode )
                {
                    case 0:
                        ref.file_name = "images/" + matches[0] + ".png";
                        break;
                    case 1:
                        ref.file_name = "images/" + matches[matches.len() - 1] + ".png";
                        break;
                    case 2:
                        local random_num = floor(((rand() % 1000 ) / 1000.0) * ((matches.len() - 1) - (0 - 1)) + 0);
                        ref.file_name = "images/" + matches[random_num] + ".png";
                        break;
                }
            } else
            {
                ref.file_name = "images/unknown.png";
            }
        }
    }
	}
GenreImage(genre_image);
}
}

// Progress bar original code by MarkC74
if (my_config["progress"] == "vertical" )
{
	if (my_config["label_position"] == "bottom" )
	{
		if (my_config["progress_type"] == "light circle" )
		{
			if (my_config["progress_bar"] == "dark" )
			{
				fe.add_artwork( "bar", -flx*0.011, fly*-0.02, flw*0.083, flh*0.90 );
			}
			if (my_config["progress_bar"] == "light" )
			{
				fe.add_artwork( "bar2", -flx*0.011, fly*-0.02, flw*0.083, flh*0.90 );
			}
			local 	list_inc = fly*0.675 / (fe.list.size-1);	
			local 	current_pos = flx*0.108 + (fe.list.index * list_inc);
			local 	list_pos_image = fe.add_image( "images/circle.png", flx*0.004 , current_pos, flw*0.055, flh*0.078 );
			local 	list_label = fe.add_text( "[Title]",flx*0.012, current_pos, flw*0.038, flh*0.073);
				list_label.font="captain"
				colors( list_label, my_config["slider_color"], 0 );
			function progress_bar( ttype, var, ttime )
			{
				current_pos = fly*0.050 + (fe.list.index*list_inc);
				list_pos_image.y = current_pos+3;
				list_label.y = current_pos;	
				return false;
			}
		fe.add_transition_callback( "progress_bar" );
		}
	if (my_config["progress_type"] == "dark square" )
	{
		if (my_config["progress_bar"] == "dark" )
		{
			fe.add_artwork( "bar", -flx*0.011, fly*-0.02, flw*0.083, flh*0.90 );
		}
		if (my_config["progress_bar"] == "light" )
		{
			fe.add_artwork( "bar2", -flx*0.011, fly*-0.02, flw*0.083, flh*0.90 );
		}
		local 	list_inc = fly*0.675 / (fe.list.size-1);	
		local 	current_pos = flx*0.108 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "images/circle2.png", flx*0.004 , current_pos, flw*0.055, flh*0.078 );
		local 	list_label = fe.add_text( "[Title]",flx*0.012, current_pos, flw*0.038, flh*0.073);
			list_label.font="captain"
			colors( list_label, my_config["slider_color"], 0 );
		function progress_bar( ttype, var, ttime )
		{
			current_pos = fly*0.050 + (fe.list.index*list_inc);
			list_pos_image.y = current_pos+3;
			list_label.y = current_pos;	
			return false;
		}
		fe.add_transition_callback( "progress_bar" );
	}
}
	if (my_config["label_position"] == "top" )
	{
	if (my_config["progress_type"] == "light circle" )
	{
	if (my_config["progress_bar"] == "dark" )
	{
	fe.add_artwork( "bar", -flx*0.011, fly*0.03, flw*0.083, flh*0.90 );
	}
	if (my_config["progress_bar"] == "light" )
	{
	fe.add_artwork( "bar2", -flx*0.011, fly*0.03, flw*0.083, flh*0.90 );
	}
		local 	list_inc = fly*0.675 / (fe.list.size-1);	
		local 	current_pos = flx*0.108 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "images/circle.png", flx*0.004 , current_pos, flw*0.055, flh*0.078 );
		local 	list_label = fe.add_text( "[Title]",flx*0.012, current_pos, flw*0.038, flh*0.073);
			list_label.font="captain"
			colors( list_label, my_config["slider_color"], 0 );
	function progress_bar( ttype, var, ttime )
	{
		current_pos = fly*0.097 + (fe.list.index*list_inc);
		list_pos_image.y = current_pos+3;
		list_label.y = current_pos;	
		return false;
	}
	fe.add_transition_callback( "progress_bar" );
	}
	if (my_config["progress_type"] == "dark square" )
	{
	if (my_config["progress_bar"] == "dark" )
	{
	fe.add_artwork( "bar", -flx*0.011, fly*0.03, flw*0.083, flh*0.90 );
	}
	if (my_config["progress_bar"] == "light" )
	{
	fe.add_artwork( "bar2", -flx*0.011, fly*0.03, flw*0.083, flh*0.90 );
	}
		local 	list_inc = fly*0.675 / (fe.list.size-1);	
		local 	current_pos = flx*0.108 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "images/circle2.png", flx*0.004 , current_pos, flw*0.055, flh*0.078 );
		local 	list_label = fe.add_text( "[Title]",flx*0.012, current_pos, flw*0.038, flh*0.073);
			list_label.font="captain"
			colors( list_label, my_config["slider_color"], 0 );
	function progress_bar( ttype, var, ttime )
	{
		current_pos = fly*0.097 + (fe.list.index*list_inc);
		list_pos_image.y = current_pos+3;
		list_label.y = current_pos;	
		return false;
	}
	fe.add_transition_callback( "progress_bar" );
	}
}
}
if (my_config["progress"] == "horizontal" )
{
	if (my_config["progress_type"] == "light circle" )
	{
	if (my_config["progress_bar"] == "dark" )
	{
	fe.add_artwork( "bar_h", flx*0.125, fly*0.928, flw*0.752, flh*0.083 );
	}
	if (my_config["progress_bar"] == "light" )
	{
	fe.add_artwork( "bar_h2", flx*0.125, fly*0.928, flw*0.752, flh*0.083 );
	}
		local 	list_inc = fly*0.805 / (fe.list.size-1);
		local 	current_pos = flx*0.100 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "images/circle.png", current_pos, fly*0.940, flw*0.035, flh*0.055 );
		local 	list_label = fe.add_text( "[Title]",current_pos, fly*0.936, flw*0.0408, flh*0.050);
			list_label.font="captain"
			colors( list_label, my_config["slider_color"], 0 );
	function progress_bar( ttype, var, ttime )	
	{
		current_pos = flx*0.179 + (fe.list.index*list_inc);
		list_pos_image.x = current_pos+2;
		list_label.x = current_pos;	
		return false;
	}
	fe.add_transition_callback( "progress_bar" );
	}
	if (my_config["progress_type"] == "dark square" )
	{
	if (my_config["progress_bar"] == "dark" )
	{
	fe.add_artwork( "bar_h", flx*0.125, fly*0.928, flw*0.752, flh*0.083 );
	}
	if (my_config["progress_bar"] == "light" )
	{
	fe.add_artwork( "bar_h2", flx*0.125, fly*0.928, flw*0.752, flh*0.083 );
	}
		local 	list_inc = fly*0.805 / (fe.list.size-1);
		local 	current_pos = flx*0.100 + (fe.list.index * list_inc);
		local 	list_pos_image = fe.add_image( "images/circle2.png", current_pos, fly*0.940, flw*0.035, flh*0.055 );
		local 	list_label = fe.add_text( "[Title]",current_pos, fly*0.936, flw*0.0408, flh*0.050);
			list_label.font="captain"
			colors( list_label, my_config["slider_color"], 0 );
	function progress_bar( ttype, var, ttime )	
	{
		current_pos = flx*0.179 + (fe.list.index*list_inc);
		list_pos_image.x = current_pos+2;
		list_label.x = current_pos;	
		return false;
	}
	fe.add_transition_callback( "progress_bar" );
	}	
}
	
// Scanlines

if (my_config["scanlines"] == "on" )
	{
	local bg = fe.add_image( "images/scanwhite.png", 0, 0, flw, flh );
	local bg = fe.add_image( "images/scanline.png", 0, 0, flw, flh );
	local bg = fe.add_image( "images/crt.png", 0, 0, flw, flh );
	}

//Add New Clock

if(my_config["show_clock"] == "yes")
	{
	local dt = fe.add_text( "", flx*0.0, fly*0.002, flw*1.00, flh*0.055 );
		dt.alpha = 200;
		dt.font="captain"
	function update_clock(ttime)
	{
		local now = date();
		dt.msg = format("%02d", now.hour) + ":" + format("%02d", now.min);
	}
	fe.add_ticks_callback(this, "update_clock");
}

// background music if selected

if ( my_config["enable_music"] == "none" )
	{
	local mysong = fe.add_sound("")
	}
if ( my_config["enable_music"] == "music" )
	{
	local mysong = fe.add_sound("music/music.mp3");
		mysong.loop = true;
		mysong.playing = true;
	}

// game select sound

function select_sound( ttype, var, ttime )
	{
	switch ( ttype )
		{
		case Transition.ToNewSelection:
			local sound = fe.add_sound("game.mp3");
			sound.playing=true;
		break;
		}
	return false;
	}
fe.add_transition_callback( "select_sound" );
